%global extension       paperwm
%global uuid            paperwm@paperwm.github.com

Name:           gnome-shell-extension-%{extension}
Version:        46.17.0
Release:        %autorelease
Summary:        Tiling window manager with a twist
# The entire source code is GPL-3.0-only except the following files:
# CC-BY-SA-3.0:
#   resources/sidebar-show-right-symbolic.svg
#   resources/preferences-desktop-multitasking-symbolic.svg
#   resources/zoom-fit-best-symbolic.svg
License:        GPL-3.0-only AND CC-BY-SA-3.0
URL:            https://github.com/paperwm/PaperWM
BuildArch:      noarch

Source:         %{url}/archive/v%{version}/PaperWM-%{version}.tar.gz

Requires:       gnome-shell >= 45
Recommends:     gnome-extensions-app
Provides:       %{extension} = %{version}-%{release}


%description
PaperWM is a Gnome Shell extension which provides scrollable tiling of windows
and per monitor workspaces.  It's inspired by paper notebooks and tiling window
managers.  While technically an extension it's to a large extent built on top
of the Gnome desktop rather than merely extending it.


%prep
%autosetup -n PaperWM-%{version}


%install
# install main extension files
install -d -m 0755 %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}
cp -r --preserve=timestamps \
    *.js *.ui stylesheet.css metadata.json \
    resources config \
    %{buildroot}%{_datadir}/gnome-shell/extensions/%{uuid}

# install the schema file
install -D -p -m 0644 \
    -t %{buildroot}%{_datadir}/glib-2.0/schemas \
    schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%files
%license LICENSE
%{_datadir}/gnome-shell/extensions/%{uuid}
%{_datadir}/glib-2.0/schemas/org.gnome.shell.extensions.%{extension}.gschema.xml


%changelog
%autochangelog
